## limba 0.5.0

=== CMakeLists.txt ===
# CMakeLists for the Limba Project
project(limba)

cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

set(CMAKE_BUILD_TYPE "Debug")

# Detect Git revision (if present)
if(VERSION_SUFFIX MATCHES "-dev")
	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
		find_package(Git)
		if(GIT_EXECUTABLE)
		  execute_process(WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
				    COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
				    OUTPUT_VARIABLE project_revision RESULT_VARIABLE check_fail)
		  string(REGEX REPLACE "\n" "" project_revision ${project_revision})
		  if(check_fail)
		   message(STATUS "Could not fetch current Git revision: ${check_fail}")
		  else()
		   message(STATUS "Found Git revision: ${project_revision}")
		   set(VERSION_SUFFIX "${VERSION_SUFFIX}:${project_revision}")
		  endif(check_fail)
		endif(GIT_EXECUTABLE)
	endif()
endif()

set(LIMBA_VERSION_MAJOR  "0")
set(LIMBA_VERSION_MINOR  "5")
set(LIMBA_VERSION_PATCH  "0")
set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")

set(LIMBA_API_LEVEL "0")

# Forbid in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})

#
# Options
#
option(MAINTAINER "Enable maintainer mode" OFF)
option(LIBUILD "Build and install the LIBuild facilities" OFF)
option(L10N "Enable localization" ON)
option(INSTALL_SUID "Install runapp with suid bit set" ON)

#
# Default paths
#
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "Default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Special case for /etc and /var when prefix is /usr
if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
  set(CMAKE_INSTALL_SYSCONFDIR "/etc" CACHE PATH "read-only single-machine data (etc)")
  set(CMAKE_INSTALL_LOCALSTATEDIR "/var" CACHE PATH "modifiable single-machine data (var)")
endif(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/data/cmake/)

message(STATUS "Compiling Limba version ${LIMBA_VERSION}")

configure_file("${CMAKE_SOURCE_DIR}/data/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

#
# External dependencies
#
find_package(Gettext REQUIRED)
find_package(GLIB 2.40 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.2)
pkg_check_modules(UUID REQUIRED uuid>=2.0)
pkg_check_modules (POLKIT REQUIRED polkit-gobject-1>=0.104)

find_package(GI REQUIRED)
find_package(LibArchive REQUIRED)
find_package(GPGMe REQUIRED)
find_package(CURL REQUIRED)
find_library(M_LIB m)

# we want to use systemd, if possible
include(${CMAKE_SOURCE_DIR}/data/cmake/systemdservice.cmake)

# perform some basic checks on the kernel.
# very old kernels are a problem, so warn about it (but don't fail the build)
execute_process(
	COMMAND uname -r
	OUTPUT_VARIABLE KERNEL_RELEASE
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process(
	COMMAND uname -o
	OUTPUT_VARIABLE OS_NAME
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

if (KERNEL_RELEASE VERSION_LESS 4.0)
	message(WARNING "Kernel is too old. Limba might not work properly with it (needs at least OverlayFS from Linux 4.0).")
endif()

message(STATUS "Found ${OS_NAME} ${KERNEL_RELEASE}")

#
# Configure files
#
set (GETTEXT_PACKAGE "limba")
set (VERSION "${LIMBA_VERSION}")
set (BUILDDIR "${CMAKE_BINARY_DIR}")
set (SOFTWARE_ROOT_PREFIX "/opt/bundle")
set (SOFTWARE_INSTALL_ROOT "/opt/software")
configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

#
# Enable testing
#
enable_testing()

#
# Custom C flags
#
set(MAINTAINER_CFLAGS "")
if(MAINTAINER)
	set(MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
	if (CMAKE_COMPILER_IS_GNUCC)
		execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                OUTPUT_VARIABLE GCC_VERSION)
		if (GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
			set(MAINTAINER_CFLAGS ${MAINTAINER_CFLAGS} "-fdiagnostics-color=auto")
		endif()
	endif()
endif(MAINTAINER)
add_definitions(${MAINTAINER_CFLAGS})

# Required if GPGme was compiled with _FILE_OFFSET_BITS=64
add_definitions("-D_FILE_OFFSET_BITS=64")

#
find_package(PkgConfig REQUIRED)

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(docs)
add_subdirectory(tests)
if (GETTEXT_FOUND AND L10N)
  add_subdirectory(po)
endif (GETTEXT_FOUND AND L10N)
add_subdirectory(contrib)

=== contrib/CMakeLists.txt ===

if (LIBUILD)
	add_subdirectory(libuild)
endif (LIBUILD)
add_subdirectory(buildhelper)

=== docs/CMakeLists.txt ===
# CMakeLists for documentation

# Find required tools
find_program (XMLTO xmlto)
mark_as_advanced (XMLTO)
if (NOT XMLTO)
	message (FATAL_ERROR "Xmlto was not found! Please install it to continue!")
endif (NOT XMLTO)

add_subdirectory (man)

=== src/CMakeLists.txt ===
# CMakeLists for the Limba library and daemon

include(GObjectIntrospectionMacros)
set(INTROSPECTION_GIRS)
set(INTROSPECTION_SCANNER_ARGS "--identifier-prefix=Li" "--symbol-prefix=li" "--warn-all" "--add-include-path=${CMAKE_CURRENT_SOURCE_DIR}")
set(INTROSPECTION_COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}")

find_program (GDBUS_CODEGEN gdbus-codegen)
mark_as_advanced (GDBUS_CODEGEN)
if (GDBUS_CODEGEN STREQUAL "")
	message (FATAL_ERROR "The GDBus code generator was not found. Please install gdbus-codegen.")
endif (GDBUS_CODEGEN STREQUAL "")

set(LIBLIMBA_SRC
	li-utils.c
	li-config-data.c
	li-pkg-info.c
	li-pkg-index.c
	li-package.c
	li-runtime.c
	li-exporter.c
	li-package-graph.c
	li-installer.c
	li-manager.c
	li-pkg-builder.c
	li-keyring.c
	li-repository.c
	li-pkg-cache.c
	li-update-item.c
)

set(LIBLIMBA_PUBLIC_HEADERS
	limba.h
	li-utils.h
	li-pkg-info.h
	li-pkg-index.h
	li-runtime.h
	li-package.h
	li-installer.h
	li-manager.h
	li-pkg-builder.h
	li-keyring.h
	li-repository.h
	li-update-item.h
	li-pkg-cache.h
)

set(LIBLIMBA_PRIVATE_HEADERS
	li-utils-private.h
	li-package-private.h
	li-config-data.h
	li-exporter.h
	li-package-graph.h
)

add_definitions("-DLI_COMPILATION"
	"-DG_LOG_DOMAIN=\"Limba\""
)

# Variables used later to set library versioning
set(LILIB_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")

# ensure that the GI compiler has been found (apparently, the automatic tests fail on some machines)
if (NOT INTROSPECTION_FOUND)
  message(FATAL_ERROR "GObject-Introspection was not found! Please install it to continue.")
endif()

add_library(limba SHARED ${LIBLIMBA_SRC} ${LIBLIMBA_PUBLIC_HEADERS} ${LIBLIMBA_PRIVATE_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c)
set_target_properties(limba PROPERTIES VERSION ${LILIB_VERSION} SOVERSION ${LIMBA_API_LEVEL})

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.h ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c
	MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.limba.xml
	COMMAND ${GDBUS_CODEGEN} --interface-prefix org.freedesktop.Limba --generate-c-code li-dbus-interface
		--c-namespace LiProxy --c-generate-object-manager ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.limba.xml
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.h)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c)

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_CURRENT_BINARY_DIR}
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
			${UUID_INCLUDE_DIRS}
			${APPSTREAM_INCLUDE_DIRS}
			${LibArchive_INCLUDE_DIR}
			${GPGME_VANILLA_INCLUDE_DIR}
			${CURL_INCLUDE_DIRS}
)

target_link_libraries(limba
		${GLIB_LIBRARIES}
		${GLIB_GIO_LIBRARIES}
		${GLIB_GIO_UNIX_LIBRARIES}
		${GLIB_GOBJECT_LIBRARIES}
		${UUID_LIBRARIES}
		${M_LIB}
		${APPSTREAM_LIBRARIES}
		${LibArchive_LIBRARIES}
		${GPGME_VANILLA_LIBRARIES}
		${CURL_LIBRARIES}
)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/limba.pc.in ${CMAKE_CURRENT_BINARY_DIR}/limba.pc @ONLY)

####
# GObject Introspection
macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

set(introspection_files ${LIBLIMBA_SRC} ${LIBLIMBA_PUBLIC_HEADERS})
set(Limba_1_0_gir "limba")
set(Limba_1_0_gir_INCLUDES GObject-2.0 Gio-2.0)
set(Limba_1_0_gir_CFLAGS "-I${CMAKE_CURRENT_SOURCE_DIR}/" "-DLI_COMPILATION")
set(Limba_1_0_gir_LIBS limba)

_list_prefix(Limba_1_0_gir_FILES introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
set(Limba_1_0_gir_SCANNERFLAGS --c-include limba.h)
set(Limba_1_0_gir_EXPORT_PACKAGES limba)

list(APPEND INTROSPECTION_GIRS Limba-1.0.gir)
gir_add_introspections(INTROSPECTION_GIRS)
####

add_subdirectory(daemon)

install(TARGETS limba DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${LIBLIMBA_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Limba)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/limba.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)
install(DIRECTORY DESTINATION ${SOFTWARE_ROOT_PREFIX})
install(DIRECTORY DESTINATION ${SOFTWARE_INSTALL_ROOT})

=== tools/CMakeLists.txt ===

set (LIMBA_TOOLS_COMMON_SRC
	${CMAKE_SOURCE_DIR}/tools/li-console-utils.c
	${CMAKE_SOURCE_DIR}/tools/li-console-utils.h
)

add_subdirectory(runapp)
add_subdirectory(lipa)
add_subdirectory(lipkgen)
add_subdirectory(lirepo)

=== contrib/buildhelper/CMakeLists.txt ===

install(PROGRAMS lipkbh.py DESTINATION bin RENAME lipkbh)

=== contrib/libuild/CMakeLists.txt ===
# CMakeLists for LI-BuildTools

set(BUILDLIST_SOURCES
	buildlist.c
)

link_libraries(${GLIB_LIBRARIES}
	       ${GIO2_LIBRARIES}
	       limba
)

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_BINARY_DIR}/src
			${CMAKE_SOURCE_DIR}/src
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
)

add_executable(buildlist ${BUILDLIST_SOURCES})

install(TARGETS buildlist DESTINATION lib/libuild COMPONENT buildtools)
install(PROGRAMS ligcc
		 lig++
		 relaytool
	DESTINATION bin
	COMPONENT buildtools
)
install(FILES LiBuild/GCC.pm
	      LiBuild/Utils.pm
	DESTINATION share/libuild/LiBuild
	COMPONENT buildtools
)
install(FILES ctype.h DESTINATION include/libuild COMPONENT headers)
install(FILES relaytool.m4 DESTINATION share/aclocal COMPONENT headers)

=== docs/man/CMakeLists.txt ===
# CMakeLists for manual page docs

include (${CMAKE_SOURCE_DIR}/data/cmake/documentation.cmake)

set(manpages "runapp.1"
	"lipa.1"
	"lipkgen.1"
)

if(LIBUILD)
	set(manpages ${manpages}
		"ligcc.1"
		"lig++.1"
		"relaytool.1"
	)
endif()

add_xml_manpages(doc-man "${manpages}" "" "")

=== src/daemon/CMakeLists.txt ===
# CMakeLists for the Limba helper daemon

set(LIMBA_DAEMON_SRC
	li-daemon.c
)

add_executable(limba-daemon ${LIMBA_DAEMON_SRC})
add_dependencies(limba-daemon limba)

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_SOURCE_DIR}/src
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
			${POLKIT_INCLUDE_DIRS}
)

target_link_libraries(limba-daemon
		${GLIB_LIBRARIES}
		${POLKIT_LIBRARIES}
		limba
)

install(TARGETS limba-daemon RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/limba)

=== tools/lipa/CMakeLists.txt ===
# CMakeLists for the Limba lipa tool

set(LIMBA_LIPA_SRC
	lipa.c
	${LIMBA_TOOLS_COMMON_SRC}
)

add_definitions("-DG_LOG_DOMAIN=\"Lipa\"")

add_executable(lipa ${LIMBA_LIPA_SRC})

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_BINARY_DIR}/src
			${CMAKE_SOURCE_DIR}/src
			${CMAKE_SOURCE_DIR}/tools
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
)

target_link_libraries(lipa
		${GLIB_LIBRARIES}
		limba
)

install(TARGETS lipa RUNTIME DESTINATION bin)

=== tools/lipkgen/CMakeLists.txt ===
# CMakeLists for the Limba package generator

set(LIMBA_LIPKGEN_SRC
	lipkgen.c
)

add_definitions("-DG_LOG_DOMAIN=\"Lipkgen\"")

add_executable(lipkgen ${LIMBA_LIPKGEN_SRC})

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_SOURCE_DIR}/src
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
			${APPSTREAM_INCLUDE_DIRS}
)

target_link_libraries(lipkgen
		${GLIB_LIBRARIES}
		${APPSTREAM_LIBRARIES}
		limba
)

install(TARGETS lipkgen RUNTIME DESTINATION bin)

=== tools/lirepo/CMakeLists.txt ===
# CMakeLists for the Limba repository creator

set(LIMBA_LIREPO_SRC
	lirepo.c
)

add_definitions("-DG_LOG_DOMAIN=\"Lirepo\"")

add_executable(lirepo ${LIMBA_LIREPO_SRC})

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_SOURCE_DIR}/src
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
)

target_link_libraries(lirepo
		${GLIB_LIBRARIES}
		limba
)

install(TARGETS lirepo RUNTIME DESTINATION bin)

## limba 0.4.2

=== debian/changelog ===
limba (0.4.2-3) unstable; urgency=medium

  * Declare additional conflicts relationships against Listaller
    - Breaks/Replaces is not enough in this case (Closes: #789664)

 -- Matthias Klumpp <mak@debian.org>  Tue, 23 Jun 2015 14:58:44 +0200

limba (0.4.2-2) unstable; urgency=medium

  * Build-depend on systemd
    - Ensures we compile with systemd support, fixes
      FTBFS on some architectures.

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jun 2015 16:16:24 +0200

limba (0.4.2-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.4.2

 -- Matthias Klumpp <mak@debian.org>  Sun, 26 Apr 2015 14:48:20 +0200

limba (0.4.1-1) experimental; urgency=medium

  * New upstream bugfix release: 0.4.1
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 10 Mar 2015 22:00:42 +0100

limba (0.4.0-1) experimental; urgency=medium

  * Initial release (Closes: #779383)

 -- Matthias Klumpp <mak@debian.org>  Fri, 20 Feb 2015 20:34:38 +0100

=== debian/control ===
Source: limba
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               gtk-doc-tools,
               intltool,
               libappstream-dev (>= 0.8),
               libarchive-dev (>= 2.8),
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.40),
               libgpgme11-dev,
               libpolkit-gobject-1-dev,
               libxml2-dev (>= 2.8.0),
               systemd,
               uuid-dev,
               xmlto
Standards-Version: 3.9.6
Homepage: http://people.freedesktop.org/~mak/limba/
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/limba.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/limba.git

Package: limba
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: listaller (<< 0.5.9-4~)
Breaks: listaller (<< 0.5.9-4~)
Conflicts: listaller
Description: 3rd-party software manager
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 It uses modern Linux kernel features to isolate the software components
 from the main system.

Package: liblimba0
Architecture: linux-any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: limba (>= ${binary:Version})
Description: Library for the Limba 3rd-party software manager
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains a GObject-based library to access Limba.

Package: liblimba-dev
Architecture: linux-any
Section: libdevel
Depends: libglib2.0-dev (>= 2.40),
         liblimba0 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for the Limba 3rd-party software manager (development files)
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains development files necessary to develop
 applications which use the Limba library.

Package: gir1.2-limba-1.0
Architecture: linux-any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Limba library
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains introspection data for the Limba library.
 It can be used by software using the GIRepository format to generate
 dynamic bindings.

Package: limba-devtools
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: listaller-devtools (<< 0.5.9-4~)
Breaks: listaller-devtools (<< 0.5.9-4~)
Conflicts: listaller-devtools
Suggests: limba-libuild
Description: 3rd-party software manager packaging tools
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains tools which are required to build and maintain own
 IPK packages and software repositories.

Package: limba-libuild
Architecture: linux-any
Depends: gcc,
         make,
         perl (>= 5.14),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Replaces: listaller-libuild (<< 0.5.9-4~)
Breaks: listaller-libuild (<< 0.5.9-4~)
Conflicts: listaller-libuild
Suggests: build-essential
Description: Limba libuild facilities
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains the libuild facilities, which help building
 more portable applications by linking against older library versions.

## limba 0.5.0

=== debian/changelog ===
limba (0.5.0-1) unstable; urgency=medium

  * New upstream release: 0.5.0

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Jun 2015 18:54:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper (>= 9.0.0),
                gtk-doc-tools,
                intltool,
-               libappstream-dev (>= 0.8),
+               libappstream-dev (>= 0.8.2),
                libarchive-dev (>= 2.8),
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libgirepository1.0-dev (>= 1.32),
@@ -26,9 +26,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: listaller (<< 0.5.9-4~)
-Breaks: listaller (<< 0.5.9-4~)
-Conflicts: listaller
+Replaces: listaller (<< 0.5.9-5~)
+Breaks: listaller (<< 0.5.9-5~)
 Description: 3rd-party software manager
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
@@ -88,9 +87,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: listaller-devtools (<< 0.5.9-4~)
-Breaks: listaller-devtools (<< 0.5.9-4~)
-Conflicts: listaller-devtools
+Replaces: listaller-devtools (<< 0.5.9-5~)
+Breaks: listaller-devtools (<< 0.5.9-5~)
 Suggests: limba-libuild
 Description: 3rd-party software manager packaging tools
  Limba allows 3rd-party developers to easily distribute their software on
@@ -109,9 +107,8 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Replaces: listaller-libuild (<< 0.5.9-4~)
-Breaks: listaller-libuild (<< 0.5.9-4~)
-Conflicts: listaller-libuild
+Replaces: listaller-libuild (<< 0.5.9-5~)
+Breaks: listaller-libuild (<< 0.5.9-5~)
 Suggests: build-essential
 Description: Limba libuild facilities
  Limba allows 3rd-party developers to easily distribute their software on

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

LI_CONFIGURE_ARGS = -DLIBUILD=ON

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(LI_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

override_dh_fixperms:
	# runapp needs CAP_SYS_ADMIN
	dh_fixperms -a -Xusr/bin/runapp

override_dh_install:
	dh_install --list-missing

override_dh_auto_test:
	# the tests require real CAP_SYS_ADMIN, so we can't run
	# them at build-time.

## limba 0.5.2

=== debian/changelog ===
limba (0.5.2-1) unstable; urgency=medium

  * New upstream bugfix release: 0.5.2

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 21:40:38 +0200

limba (0.5.1-1) unstable; urgency=medium

  * New upstream release: 0.5.1
  * Make GIR depend on liblimba0 (Closes: #790566)
  * Create limba-licompile package for the compile helpers
  * Build-depend on libyaml-dev
  * Fix debian/copyright

 -- Matthias Klumpp <mak@debian.org>  Wed, 02 Sep 2015 22:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libgpgme11-dev,
                libpolkit-gobject-1-dev,
                libxml2-dev (>= 2.8.0),
+               libyaml-dev,
                systemd,
                uuid-dev,
                xmlto
@@ -26,6 +27,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: systemd
 Replaces: listaller (<< 0.5.9-5~)
 Breaks: listaller (<< 0.5.9-5~)
 Description: 3rd-party software manager
@@ -71,7 +73,8 @@
 Package: gir1.2-limba-1.0
 Architecture: linux-any
 Section: introspection
-Depends: ${gir:Depends},
+Depends: liblimba0 (>= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the Limba library
  Limba allows 3rd-party developers to easily distribute their software on
@@ -85,11 +88,13 @@
 
 Package: limba-devtools
 Architecture: linux-any
+Section: devel
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Replaces: listaller-devtools (<< 0.5.9-5~)
 Breaks: listaller-devtools (<< 0.5.9-5~)
-Suggests: limba-libuild
+Suggests: debootstrap,
+          limba-licompile
 Description: 3rd-party software manager packaging tools
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
@@ -99,22 +104,25 @@
  This package contains tools which are required to build and maintain own
  IPK packages and software repositories.
 
-Package: limba-libuild
+Package: limba-licompile
 Architecture: linux-any
+Section: devel
 Depends: gcc,
          make,
          perl (>= 5.14),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Replaces: listaller-libuild (<< 0.5.9-5~)
-Breaks: listaller-libuild (<< 0.5.9-5~)
+Replaces: limba-libuild (<< 0.5.1~),
+          listaller-libuild (<< 0.5.9-5~)
+Breaks: limba-libuild (<< 0.5.1~),
+        listaller-libuild (<< 0.5.9-5~)
 Suggests: build-essential
-Description: Limba libuild facilities
+Description: Limba LiCompile facilities
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
  It provides atomic upgrades of software, simultaneous installation of multiple
  software versions and a simple way to obtain and upgrade software.
  .
- This package contains the libuild facilities, which help building
+ This package contains the LiCompile facilities, which help building
  more portable applications by linking against older library versions.

## limba 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "0")
+set(LIMBA_VERSION_PATCH  "3")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")
@@ -42,9 +42,10 @@
 # Options
 #
 option(MAINTAINER "Enable maintainer mode" OFF)
-option(LIBUILD "Build and install the LIBuild facilities" OFF)
+option(LICOMPILE "Build and install the LiCompile facilities" OFF)
 option(L10N "Enable localization" ON)
 option(INSTALL_SUID "Install runapp with suid bit set" ON)
+option(DOCUMENTATION "Build documentation" OFF)
 
 #
 # Default paths
@@ -76,8 +77,8 @@
 # External dependencies
 #
 find_package(Gettext REQUIRED)
-find_package(GLIB 2.40 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
-pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.2)
+find_package(GLIB 2.44 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
+pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.6)
 pkg_check_modules(UUID REQUIRED uuid>=2.0)
 pkg_check_modules (POLKIT REQUIRED polkit-gobject-1>=0.104)
 
@@ -140,6 +141,8 @@
 	endif()
 endif(MAINTAINER)
 add_definitions(${MAINTAINER_CFLAGS})
+# enable C11 (Clang wants this)
+set(CMAKE_C_STANDARD "11")
 
 # Required if GPGme was compiled with _FILE_OFFSET_BITS=64
 add_definitions("-D_FILE_OFFSET_BITS=64")

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -8,3 +8,23 @@
 endif (NOT XMLTO)
 
 add_subdirectory (man)
+
+# Build the actual documentation
+
+if(DOCUMENTATION)
+	find_program (SPHINXBUILD sphinx-build)
+	mark_as_advanced (SPHINXBUILD)
+	if (SPHINXBUILD STREQUAL "SPHINXBUILD-NOTFOUND")
+		message (FATAL_ERROR "Sphinx was not found. Please install it to continue!")
+	endif (SPHINXBUILD STREQUAL "SPHINXBUILD-NOTFOUND")
+
+	add_custom_target (documentation
+		COMMAND ${SPHINXBUILD} -b html
+				-d ${CMAKE_CURRENT_SOURCE_DIR}/html/doctrees
+				${CMAKE_CURRENT_SOURCE_DIR}/source
+				${CMAKE_CURRENT_SOURCE_DIR}/html
+		DEPENDS "source/conf.py"
+		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+		VERBATIM
+	)
+endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	li-pkg-builder.c
 	li-keyring.c
 	li-repository.c
+	li-repo-entry.c
 	li-pkg-cache.c
 	li-update-item.c
 )
@@ -51,6 +52,7 @@
 	li-config-data.h
 	li-exporter.h
 	li-package-graph.h
+	li-repo-entry.h
 )
 
 add_definitions("-DLI_COMPILATION"
@@ -65,7 +67,12 @@
   message(FATAL_ERROR "GObject-Introspection was not found! Please install it to continue.")
 endif()
 
-add_library(limba SHARED ${LIBLIMBA_SRC} ${LIBLIMBA_PUBLIC_HEADERS} ${LIBLIMBA_PRIVATE_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c)
+add_library(limba SHARED ${LIBLIMBA_SRC}
+		${LIBLIMBA_PUBLIC_HEADERS}
+		${LIBLIMBA_PRIVATE_HEADERS}
+		${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c
+		${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.c
+)
 set_target_properties(limba PROPERTIES VERSION ${LILIB_VERSION} SOVERSION ${LIMBA_API_LEVEL})
 
 add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.h ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c
@@ -76,6 +83,15 @@
 )
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.h)
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c)
+
+add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.h ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.c
+	MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.systemd1.xml
+	COMMAND ${GDBUS_CODEGEN} --interface-prefix org.freedesktop.systemd1 --generate-c-code li-systemd-dbus
+		--c-namespace LiSd ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.systemd1.xml
+	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+)
+set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.h)
+set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.c)
 
 include_directories(${CMAKE_BINARY_DIR}
 			${CMAKE_CURRENT_BINARY_DIR}

## limba 0.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "3")
+set(LIMBA_VERSION_PATCH  "4")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")
@@ -78,9 +78,10 @@
 #
 find_package(Gettext REQUIRED)
 find_package(GLIB 2.44 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
-pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.6)
+pkg_check_modules(APPSTREAM REQUIRED appstream>=0.9.0)
 pkg_check_modules(UUID REQUIRED uuid>=2.0)
 pkg_check_modules (POLKIT REQUIRED polkit-gobject-1>=0.104)
+pkg_check_modules(LIBCAP REQUIRED libcap>=2.24)
 
 find_package(GI REQUIRED)
 find_package(LibArchive REQUIRED)
@@ -117,7 +118,7 @@
 set (GETTEXT_PACKAGE "limba")
 set (VERSION "${LIMBA_VERSION}")
 set (BUILDDIR "${CMAKE_BINARY_DIR}")
-set (SOFTWARE_ROOT_PREFIX "/opt/bundle")
+set (SOFTWARE_ROOT_PREFIX "/app")
 set (SOFTWARE_INSTALL_ROOT "/opt/software")
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

## limba 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "4")
+set(LIMBA_VERSION_PATCH  "5")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")

## limba 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "5")
+set(LIMBA_VERSION_PATCH  "6")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")

=== contrib/CMakeLists.txt ===

if (LICOMPILE)
	add_subdirectory(licompile)
endif (LICOMPILE)

=== data/CMakeLists.txt ===
# CMakeLists for Limba data

# Find intltool-merge for XML internationalization
find_program (LC_INTLTOOL_MERGE intltool-merge)
mark_as_advanced (LC_INTLTOOL_MERGE)

if (LC_INTLTOOL_MERGE STREQUAL "LC_INTLTOOL_MERGE-NOTFOUND")
	message (FATAL_ERROR "Intltool was not found! Please install it to continue!")
endif (LC_INTLTOOL_MERGE STREQUAL "LC_INTLTOOL_MERGE-NOTFOUND")

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/foundations.list
	DESTINATION ${CMAKE_INSTALL_DATADIR}/limba
	COMPONENT data
)

configure_file(org.freedesktop.Limba.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Limba.service @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Limba.service
	DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services/
	COMPONENT data
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Limba.conf
	DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d/
	COMPONENT data
)

# Install cleanup service if we have systemd
if (SYSTEMD_FOUND)
	configure_file(limba.service.in ${CMAKE_CURRENT_BINARY_DIR}/limba.service @ONLY)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/limba.service
		DESTINATION ${SYSTEMD_SERVICES_INSTALL_DIR}
		COMPONENT data
	)

	configure_file(limba-cleanup.service.in ${CMAKE_CURRENT_BINARY_DIR}/limba-cleanup.service @ONLY)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/limba-cleanup.service
		DESTINATION ${SYSTEMD_SERVICES_INSTALL_DIR}
		COMPONENT data
	)
endif (SYSTEMD_FOUND)

add_subdirectory(mime)
add_subdirectory(policy)

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,38 @@
 				-d ${CMAKE_CURRENT_SOURCE_DIR}/html/doctrees
 				${CMAKE_CURRENT_SOURCE_DIR}/source
 				${CMAKE_CURRENT_SOURCE_DIR}/html
-		DEPENDS "source/conf.py"
+		DEPENDS "source/conf.py" doc-limba
 		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 		VERBATIM
 	)
+	add_custom_command(
+		TARGET documentation POST_BUILD
+		COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/api/html" "${CMAKE_CURRENT_SOURCE_DIR}/html/api"
+		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+	)
+	set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_SOURCE_DIR}/html)
+
+	#########################
+	# API documentation
+
+	find_package(GtkDoc)
+	if(NOT GTKDOC_FOUND)
+		message(FATAL_ERROR "gtkdoc was not found, API documentation can not be built.")
+	endif()
+	include(UseGtkDoc)
+
+	gtk_doc_add_module(limba ${CMAKE_SOURCE_DIR}/src
+		IGNOREHEADERS li-utils-private.h li-daemon-job.h li-package-private.h li-run.h
+		SUFFIXES h c
+		LDFLAGS
+			-L${CMAKE_BINARY_DIR}/src
+			-llimba
+		LDPATH
+			"${CMAKE_BINARY_DIR}/src"
+		OUTPUT_DIR
+			"${CMAKE_CURRENT_SOURCE_DIR}/api"
+		DEPENDS limba)
+
+	set_directory_properties (PROPERTIES CLEAN_NO_CUSTOM ${CMAKE_CURRENT_SOURCE_DIR}/api)
+ 	set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/api/html;${CMAKE_CURRENT_SOURCE_DIR}/api/xml;${CMAKE_CURRENT_SOURCE_DIR}/api/tmpl")
 endif()

=== po/CMakeLists.txt ===
# CMakeLists for Limba localisation

find_program (LC_INTLTOOL_UPDATE intltool-update)
mark_as_advanced (LC_INTLTOOL_UPDATE)

find_package (Gettext REQUIRED)

if (LC_INTLTOOL_UPDATE STREQUAL "")
	message (FATAL_ERROR "Intltool was not found! Please install it to continue!")
endif (LC_INTLTOOL_UPDATE STREQUAL "")

set(LPKNAME "limba")

add_custom_target (l10n-update
	${LC_INTLTOOL_UPDATE} -p -g "${LPKNAME}"
	DEPENDS POTFILES.in
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

add_custom_target (l10n-maintain
	${LC_INTLTOOL_UPDATE} -m "${LPKNAME}"
	DEPENDS POTFILES.in
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

file (GLOB _translations ${CMAKE_CURRENT_SOURCE_DIR}/*.po)
        gettext_create_translations (${LPKNAME}.pot
				     ALL ${_translations}
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	li-repo-entry.c
 	li-pkg-cache.c
 	li-update-item.c
+	li-run.c
 )
 
 set(LIBLIMBA_PUBLIC_HEADERS
@@ -48,6 +49,7 @@
 
 set(LIBLIMBA_PRIVATE_HEADERS
 	li-utils-private.h
+	li-run.h
 	li-package-private.h
 	li-config-data.h
 	li-exporter.h
@@ -147,5 +149,4 @@
 install(TARGETS limba DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES ${LIBLIMBA_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Limba)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/limba.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)
-install(DIRECTORY DESTINATION ${SOFTWARE_ROOT_PREFIX})
 install(DIRECTORY DESTINATION ${SOFTWARE_INSTALL_ROOT})

=== tests/CMakeLists.txt ===
# CMakeLists for Limba Unit Tests

link_libraries(${GLIB_LIBRARIES}
		${GLIB_GIO_LIBRARIES}
		${GLIB_GOBJECT_LIBRARIES}
		${APPSTREAM_LIBRARIES}
		limba
)

include_directories(${CMAKE_BINARY_DIR}
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_CURRENT_SOURCE_DIR}
		${GLIB_INCLUDE_DIRS}
		${APPSTREAM_INCLUDE_DIRS}
)

set(TESTRUNNER_SRC
	testrunner.h
	testrunner.c
)

# Test runner helper
add_executable(litestrunner ${TESTRUNNER_SRC})
add_dependencies(litestrunner limba)
set(LITESTRUNNER_EXEC ${CMAKE_CURRENT_BINARY_DIR}/litestrunner)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/testrunner-root.in"
  "${CMAKE_CURRENT_BINARY_DIR}/testrunner-root"
  IMMEDIATE @ONLY)
set(LITESTRUNNER_SUEXEC ${CMAKE_CURRENT_BINARY_DIR}/testrunner-root)

# Basic tests
add_executable(li-test-basics test-basics.c)
add_dependencies(li-test-basics limba)
add_test(basic-test li-test-basics ${CMAKE_CURRENT_SOURCE_DIR})

# Keyring tests
add_executable(li-test-keyring test-keyring.c)
add_dependencies(li-test-keyring limba litestrunner)
add_test(keyring-test ${LITESTRUNNER_SUEXEC} ${CMAKE_CURRENT_BINARY_DIR}/li-test-keyring ${CMAKE_CURRENT_SOURCE_DIR})
set_property(TEST keyring-test APPEND PROPERTY DEPENDS basic-test)

# IPK package tests
add_executable(li-test-package test-package.c)
add_dependencies(li-test-package limba)
add_test(package-test li-test-package ${CMAKE_CURRENT_SOURCE_DIR})
set_property(TEST package-test APPEND PROPERTY DEPENDS basic-test)
set_property(TEST package-test APPEND PROPERTY DEPENDS keyring-test)

# Software installation and management tests
add_executable(li-test-manager test-manager.c)
add_dependencies(li-test-manager limba litestrunner)
add_test(manager-test ${LITESTRUNNER_SUEXEC} ${CMAKE_CURRENT_BINARY_DIR}/li-test-manager ${CMAKE_CURRENT_SOURCE_DIR})
set_property(TEST manager-test APPEND PROPERTY DEPENDS package-test)

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
 )
 
 add_subdirectory(runapp)
-add_subdirectory(lipa)
+add_subdirectory(cli)
 add_subdirectory(lipkgen)
-add_subdirectory(lirepo)
+add_subdirectory(buildcli)

=== contrib/licompile/CMakeLists.txt ===
# CMakeLists for LI CompileHelper

set(BUILDLIST_SOURCES
	buildlist.c
)

link_libraries(${GLIB_LIBRARIES}
	       ${GIO2_LIBRARIES}
	       limba
)

include_directories(${CMAKE_BINARY_DIR}
			${CMAKE_BINARY_DIR}/src
			${CMAKE_SOURCE_DIR}/src
			${CMAKE_CURRENT_SOURCE_DIR}
			${GLIB_INCLUDE_DIRS}
)

add_executable(buildlist ${BUILDLIST_SOURCES})

install(TARGETS buildlist DESTINATION lib/licompile COMPONENT buildtools)
install(PROGRAMS ligcc
		 lig++
		 relaytool
	DESTINATION bin
	COMPONENT buildtools
)
install(FILES LiCompile/GCC.pm
	      LiCompile/Utils.pm
	DESTINATION share/licompile/LiCompile
	COMPONENT buildtools
)
install(FILES ctype.h DESTINATION include/licompile COMPONENT headers)
install(FILES relaytool.m4 DESTINATION share/aclocal COMPONENT headers)

=== data/mime/CMakeLists.txt ===
# CMakeLists to install Limba mime data

set (XDG_MIME_INSTALL_DIR "share/mime/packages")

add_custom_target (merge-l10n-mime ALL
	${LC_INTLTOOL_MERGE} -x ${CMAKE_SOURCE_DIR}/po
		${CMAKE_CURRENT_SOURCE_DIR}/x-ipk.xml.in
		${CMAKE_CURRENT_BINARY_DIR}/x-ipk.xml
	DEPENDS x-ipk.xml.in
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/x-ipk.xml
	DESTINATION ${XDG_MIME_INSTALL_DIR}
	COMPONENT data
)

=== data/policy/CMakeLists.txt ===

add_custom_target (merge-l10n-policy ALL
	${LC_INTLTOOL_MERGE} -x ${CMAKE_SOURCE_DIR}/po
		${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.limba.policy.in
		${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.limba.policy
	DEPENDS org.freedesktop.limba.policy.in
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.limba.policy
	DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/actions/
	COMPONENT policy
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.limba.rules
	DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d/
	COMPONENT policy
)

=== docs/man/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,12 @@
 include (${CMAKE_SOURCE_DIR}/data/cmake/documentation.cmake)
 
 set(manpages "runapp.1"
-	"lipa.1"
+	"limba.1"
 	"lipkgen.1"
+	"limba-build.1"
 )
 
-if(LIBUILD)
+if(LICOMPILE)
 	set(manpages ${manpages}
 		"ligcc.1"
 		"lig++.1"

=== debian/changelog ===
limba (0.5.6-1) unstable; urgency=medium

  * New upstream release: 0.5.6

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 18:04:06 +0100

limba (0.5.5-1) unstable; urgency=medium

  * New upstream release: 0.5.5
  * Provide pkla file for PolKit << 0.112 (Closes: #808835)

 -- Matthias Klumpp <mak@debian.org>  Wed, 20 Jan 2016 19:45:02 +0100

limba (0.5.4-1) unstable; urgency=medium

  * New upstream release: 0.5.4

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Dec 2015 19:06:46 +0100

limba (0.5.3-1) unstable; urgency=medium

  * New upstream release: 0.5.3
  * Update build dependencies
  * liblimba: Don't recommend the 'limba' package

 -- Matthias Klumpp <mak@debian.org>  Tue, 10 Nov 2015 20:10:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
                debhelper (>= 9.0.0),
                gtk-doc-tools,
                intltool,
-               libappstream-dev (>= 0.8.2),
+               libappstream-dev (>= 0.9.2),
                libarchive-dev (>= 2.8),
+               libcap-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libgirepository1.0-dev (>= 1.32),
-               libglib2.0-dev (>= 2.40),
+               libglib2.0-dev (>= 2.46),
                libgpgme11-dev,
                libpolkit-gobject-1-dev,
                libxml2-dev (>= 2.8.0),
@@ -30,7 +31,7 @@
 Recommends: systemd
 Replaces: listaller (<< 0.5.9-5~)
 Breaks: listaller (<< 0.5.9-5~)
-Description: 3rd-party software manager
+Description: 3rd-party software distribution solution
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
  It provides atomic upgrades of software, simultaneous installation of multiple
@@ -46,7 +47,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: limba (>= ${binary:Version})
 Description: Library for the Limba 3rd-party software manager
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
@@ -58,7 +58,7 @@
 Package: liblimba-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libglib2.0-dev (>= 2.40),
+Depends: libglib2.0-dev (>= 2.46),
          liblimba0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Library for the Limba 3rd-party software manager (development files)
@@ -89,7 +89,8 @@
 Package: limba-devtools
 Architecture: linux-any
 Section: devel
-Depends: ${misc:Depends},
+Depends: limba (>= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Replaces: listaller-devtools (<< 0.5.9-5~)
 Breaks: listaller-devtools (<< 0.5.9-5~)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-LI_CONFIGURE_ARGS = -DLIBUILD=ON
+LI_CONFIGURE_ARGS = -DLICOMPILE=ON
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -24,5 +24,5 @@
 	dh_install --list-missing
 
 override_dh_auto_test:
-	# the tests require real CAP_SYS_ADMIN, so we can't run
-	# them at build-time.
+	# the tests require real CAP_SYS_ADMIN and at least Linux 4.0,
+	# so we can't run them at build-time.

=== debian/watch ===
version=3
http://people.freedesktop.org/~mak/limba/releases/Limba-([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
